WWW::Mechanize::Image(3)

NAME
WWW::Mechanize::Image - Image object for WWW::Mechanize

SYNOPSIS
Image object to encapsulate all the stuff that Mech needs

Constructor

  new()
Creates and returns a new "WWW::Mechanize::Image" object.

    my $image = WWW::Mechanize::Image->new( {
        url    => $url,
        base   => $base,
        tag    => $tag,
        name   => $name,    # From the INPUT tag
        height => $height,  # optional
        width  => $width,   # optional
        alt    => $alt,     # optional
    } );

Accessors

  $link->url()
URL from the link

  $link->base()
Base URL to which the links are relative.

  $link->name()
Name for the field from the NAME attribute, if any.

  $link->tag()
Tag name (either "image" or "input")

  $link->height()
Image height

  $link->width()
Image width

  $link->alt()
ALT attribute from the source tag, if any.

  $link->URI()
Returns the URL as a URI::URL object.

  $link->url_abs()
Returns the URL as an absolute URL string.

COPYRIGHT
Copyright (c) 2004 Andy Lester. All rights reserved. This program is free software; you can redistribute it and/or modify it under the same terms as Perl itself.